Inicio / Alerta Temprana / Avisos Seguridad / Múltiples vulnerabilidades en Xen

Múltiples vulnerabilidades en Xen

Fecha de publicación: 
04/11/2019
Importancia: 
4 - Alta
Recursos afectados: 
  • Xen, versiones 4.6 y posteriores;
  • Xen, versiones de 32 bit, desde la versión 3.2;
  • Xen, todos los sistemas x86, con invitados PV sin confianza;
  • los sistemas Xen en los que los huéspedes tengan acceso directo a los dispositivos físicos.
  • Xen, todos los sistemas ARM;
  • Citrix Hypervisor, versión 8.0 y anteriores.
Descripción: 

Se han publicado varias vulnerabilidades en Xen que podrían permitir la denegación del servicio, escalada de privilegios o corrupción de datos.

Solución: 

Se recomienda aplicar los parches publicados para resolver estas vulnerabilidades. Para más información, consultar la sección de Referencias.

Detalle: 
  • La interpretación de los parámetros de entrada con formato incorrecto provoca un fallo en la función hypercall_create_continuation() que ocasiona el cierre inesperado de Xen. Se ha asignado el identificador CVE-2019-18420 para esta vulnerabilidad.
  • La emulación del modo de usuario invitado de 32 bits podría permitir a un atacante su instalación y posterior utilización de descriptores a su elección, lo que podría provocar la escalada de privilegios. Se ha asignado el identificador CVE-2019-18425 para esta vulnerabilidad.
  • Un atacante podría ganar acceso de escritura en las tablas de página en uso para escalar privilegios. Se ha asignado el identificador CVE-2019-18421 para esta vulnerabilidad.
  • Una hiperllamada especialmente diseñada, junto con el acceso a una dirección, a través de hipervínculo o acceso directo, que eluda las comprobaciones de control, podría permitir a un atacante causar el cierre inesperado del hipervisor, resultando en la denegación del servicio. Se ha asignado el identificador CVE-2019-18423 para esta vulnerabilidad.
  • Cuando el dominio huésped se cierra o el dispositivo se asigna de nuevo al dominio dom0, un dominio no confiable con acceso a un dispositivo físico podría acceder a la memoria del sistema para leer o escribir, lo que provocaría la escalada de privilegios. Se ha asignado el identificador CVE-2019-18424 para esta vulnerabilidad.
  • Cuando ocurre una excepción en un sistema ARM, algunas interrupciones se habilitan incondicionalmente durante la entrada de excepciones, esto podría permitir a un atacante la corrupción de los datos, denegación del servicio o escalada de privilegios. Se ha asignado el identificador CVE-2019-18422 para esta vulnerabilidad.

Encuesta valoración